
@if (!isSuccessful) {
  <div class="login-form-flex">
    <mat-card class="card">
      <mat-card-title class="title">
        Register
      </mat-card-title>
      <form [formGroup]="registerForm" (ngSubmit)="onSubmit()" class="">
        <mat-card-content > 
          <mat-form-field class="loginContent">
            <mat-label>Username</mat-label>
            <input matInput placeholder="User Name" formControlName="username">
            <mat-error>Enter a username</mat-error>
          </mat-form-field>
          <br/>
          <mat-form-field class="loginContent">
            <mat-label>Password</mat-label>
            <input type="password" matInput placeholder="Password" formControlName="password" />
            <mat-error>Enter a password</mat-error>
          </mat-form-field>
          <mat-checkbox formControlName="role">Publisher</mat-checkbox>
          <div style="color: red;">{{errorMessage}}</div>
        </mat-card-content>
        <mat-card-actions>
          <div class="button-flex-container">
            <button type="submit" [disabled]="!registerForm.valid" mat-raised-button color="primary">Register</button>
          </div>
        </mat-card-actions>
      </form>
    </mat-card>
  </div>
} @else {
<div class="alert alert-success">Your registration is successful!</div>
}